<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//oos.juyouhx.com//DTD Mapper 3.0//EN" "http://oss.juyouhx.com/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.scpyun.platform.standard.jilinsscgsdp.jlGridGardenInfo" name="网格管理">

    <select id="getGardenId"  parameterType="map" resultType="string">
        select
        id
        from
        jl_grid_garden
        where
        community_id = #{officeId}
        and
        name = #{gardenName}
        and
        del_flag = 0
        limit 1
    </select>

    <insert id="insertInfo" parameterType="map">
        insert into
        jl_grid_garden
        (
        id,
        name,
        city_id,
        area_id,
        street_id,
        community_id,
        del_flag,
        create_by,
        create_time,
        data_source
        )
        values
        (
        #{id},
        #{name},
        #{cityId},
        #{areaId},
        #{streetId},
        #{communityId},
        #{delFlag},
        #{createby},
        #{createTime},
        #{dataSource}
        )
    </insert>
</mapper>
